package com.schisandra.auth.application.handler.oauth;

import com.schisandra.auth.common.enums.OauthType;
import me.zhyd.oauth.request.AuthRequest;
import org.springframework.stereotype.Component;

@Component
public interface SchisandraOauthTypeHandler {

    OauthType getHandlerType();

    AuthRequest getAuthRequest(String type);
}
